{% extends '../../base.html'%} {% block main %} {% load static %}

<div style="display: flex" class="position-relative">
  {% include "../../components/quick_access.html" %}
  <div class="container d-flex flex-column">
      <div class="d-flex justify-content-center align-content-center mt-3">
        <div class="faux-img mb-5 text-center">
          {{ request.user.last_name|slice:":1" }}
          {{request.user.first_name|slice:":1" }}
        </div>
      </div>
      <section  class="table-info w-100 d-flex flex-column flex-lg-row mt-5 mb-2 gap-xl-5 gap-2">
        <section id="profil-links" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
            <h5 class="text-center fw-bold d-flex justify-content-center align-content-center gap-2"><span>Mes listes</span><span>({{ nb_notification_user }})</span></h5>
            <button type="button" class="normal-btn"> <i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i></button>
          </div>
          <article>
            <div class="h-100 d-flex justify-content-center align-content-center align-items-center flex-column flex-lg-wrap flex-lg-row gap-1 pt-3">
              <span class="fw-bold">
                <a href="{% url 'myorders' %}" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-truck"></i>
                  <span class="text-center">Commandes</span>
                  <span class="bg-success rounded px-1">{{ get_nb_commande_foruser.1 }}</span>
                </a>
              </span>
              <span class="fw-bold">
                <a href="{% url 'mybasket' %}" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-heart"></i>
                  <span class="text-center">Panier</span>
                  <span class="bg-success rounded px-1">{{ get_nb_basket_forUser.1 }}</span>
                </a>
              </span>
              <span class="fw-bold">
                <a href="{% url 'myfavorites' %}" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-basket-shopping"></i>
                  <span class="text-center">Favoris</span>
                  <span class="bg-success rounded px-1">{{ get_nb_favorites_forUser.1 }}</span>
                </a>
              </span>
              <span class="fw-bold">
                <a href="{% url 'myrepairs' %}" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-hammer"></i>
                  <span class="text-center">Demandes de réparation</span>
                  <span class="bg-success rounded px-1">{{ get_nb_repair_forUser.1 }}</span>
                </a>
              </span>
              <span class="fw-bold">
                <a href="{% url 'myrented' %}" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-business-time"></i>
                  <span class="text-center">Demandes de location</span>
                  <span class="bg-success rounded px-1">{{ get_nb_rent_forUser.1 }}</span>
                </a>
              </span>
              <span class="fw-bold">
                <a href="{% url 'mysells' %}" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-business-time"></i>
                  <span class="text-center">Demandes de reprise</span>
                  <span class="bg-success rounded px-1">{{ get_nb_sell_forUser.1 }}</span>
                </a>
              </span>
              <br>
              <!-- <span class="fw-bold">
                <a href="" class="d-flex justify-content-center align-content-center align-items-center gap-2 bg-dark text-white py-1 px-3 rounded normal-link">
                  <i class="fa-solid fa-recycle"></i>
                  <span class="text-center">Demandes de reprise</span>
                  <span class="bg-success rounded px-1">{{ get_nb_sell_forUser.1 }}</span>
                </a>
              </span> -->
              <br>
            </div>
          </article>
        </section>
        <section id="profil-info" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <div onclick="handleRepairSection(this)"  class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
            <h5 class="text-center fw-bold ">Mes inforamtions</h5>
            <button type="button"class="normal-btn"><i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i></button>
          </div>
          <article>
            <div>
              <span class="fw-bold">Nom :</span><br>
              <span class="color-gray pl-2">{{ user.get_last_name }}</span><br>
            </div>
            <div>
              <span class="fw-bold">Prénom :</span><br>
              <span class="color-gray ml-2">{{ user.get_first_name }}</span><br>
            </div>
            <div>
              <span class="fw-bold">Email :</span><br>
              <span class="color-gray ml-2">{{ user.email }}</span><br>
            </div>
            <div>
              <span class="fw-bold">Téléphone :</span><br>
              {% if user.phone %}
              <span class="color-gray ml-2">{{ user.phone }}</span><br>
              {% else %}
              <span class="color-gray ml-2">Non disponible</span><br>
              {% endif %}
            </div>
            <div>
              <span class="fw-bold">Date de joindre :</span><br>
              <span class="color-gray ml-2">{{ user.date_joined }}</span><br>
            </div>
            <div>
              <span class="fw-bold w-100 d-flex justify-content-center align-content-center">
                <a href="{% url 'edit_profile' %}" class="normal-link px-3 py-1 rounded bg-success text-white d-flex justify-content-center align-content-center align-items-center gap-2 "><i class="fa-solid fa-pen-to-square text-white"></i><span>Modifier</span></a>
              </span>
            </div>
          </article>
        </section>
        <section id="profil-address" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
            <h5 class="text-center fw-bold ">Mon adresse</h5>
            <button type="button" class="normal-btn"> <i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i></button>
          </div>
          <article>
            <div>
              <span class="fw-bold">Numéro de rue :</span><br>
              {% if user.address.rue_number %}
              <span class="color-gray ml-2">{{ user.address.rue_number }}</span><br>
              {% else %}
              <span class="color-gray ml-2">Non disponible</span><br>
              {% endif %}
            </div>
            <div>
              <span class="fw-bold">Nom de rue :</span><br>
              {% if user.address.rue_name %}
              <span class="color-gray ml-2">{{ user.address.rue_name }}</span><br>
              {% else %}
              <span class="color-gray ml-2">Non disponible</span><br>
              {% endif %}
            </div>
            <div>
              <span class="fw-bold">Code postal :</span><br>
              {% if user.address.postal_code %}
              <span class="color-gray ml-2">{{ user.address.postal_code }}</span><br>
              {% else %}
              <span class="color-gray ml-2">Non disponible</span><br>
              {% endif %}
            </div>
            <div>
              <span class="fw-bold">Ville :</span><br>
              {% if user.address.city %}
              <span class="color-gray ml-2">{{ user.address.city }}</span><br>
              {% else %}
              <span class="color-gray ml-2">Non disponible</span><br>
              {% endif %}
            </div>
            <div>
              <span class="fw-bold">Pays:</span><br>
              {% if user.address.country %}
              <span class="color-gray ml-2">{{ user.address.country }}</span><br>
              {% else %}
              <span class="color-gray ml-2">Non disponible</span><br>
              {% endif %}
            </div>
            <div>
              <span class="fw-bold w-100 d-flex justify-content-center align-content-center ">
                <a href="{% url 'edit_address' %}" class="normal-link px-3 py-1 rounded bg-success text-white d-flex justify-content-center align-content-center align-items-center gap-2 "><i class="fa-solid fa-pen-to-square text-white"></i><span>Modifier</span></a>
              </span>
            </div>
          </article>
        </section>

      </section>
      <div class="d-flex justify-content-center align-content-center">
        <a href="{% url 'logout_user' %}" class="btn rounded shadow shadow-lg px-3 py-1 bg-danger text-white my-2">Se déconnecter</a>
      </div>
  </div>
</div>
{% endblock main%}
